#include "vtkXMLPolyDataWriter.h"
#include "vtkPolyData.h"
#include "vtkSmartPointer.h"

#include "vtkPointNormalColorReader.h"

int main(int argc, char *argv[])
{

  if(argc != 3)
  {
    std::cout << "Required parameters: InputFilename OutputFilename" << std::endl;
    exit(-1);
  }

  vtkstd::string InputFilename = argv[1];
  vtkstd::string OutputFilename = argv[2];
  
  vtkSmartPointer<vtkPointNormalColorReader> Reader = vtkSmartPointer<vtkPointNormalColorReader>::New();
  Reader->SetFileName(InputFilename.c_str());
  Reader->Update();
  
  vtkSmartPointer<vtkXMLPolyDataWriter> Writer = vtkSmartPointer<vtkXMLPolyDataWriter>::New();
  Writer->SetFileName(OutputFilename.c_str());
  Writer->SetInput(Reader->GetOutput());
  Writer->Write();	
    
  return 0;
}